Bug 10355 - Second click on modification log misses object parameter
Summary: Second click on modification log misses object parameter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 6911
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 16:49 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10355: paramater 'object' lost on the road (2.47 KB, patch)
2015-04-16 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10355: paramater 'object' lost on the road (2.62 KB, patch)
2015-05-17 21:41 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10355: paramater 'object' lost on the road (2.69 KB, patch)
2015-05-31 20:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-05-27 16:49:56 UTC
To reproduce the problem:

1) Go to any detail page in staff
2) Click on the modification log tab
3) Verify, that the object is prefilled with the records biblionumber and you can also see it as parameter in the url
4) Click a second time on modification log to reset your search
4) Verify that the url is missing the biblionumber now
Comment 1 Jonathan Druart 2015-04-16 13:28:11 UTC
(In reply to Katrin Fischer from comment #0)
> To reproduce the problem:
> 
> 1) Go to any detail page in staff
> 2) Click on the modification log tab
> 3) Verify, that the object is prefilled with the records biblionumber and
> you can also see it as parameter in the url
> 4) Click a second time on modification log to reset your search

I am not sure this is still valid, when I am on tools/viewlog.pl, I don't see the "modification log" tab, I see the menu from the tools module.
Comment 2 Katrin Fischer 2015-04-16 14:18:31 UTC
Hi Jonathan, 

I just treid in 3.18.5.1: The trick is, that you need to access it from the detail page of a record, not from the tools start page.
Comment 3 Jonathan Druart 2015-04-16 14:34:54 UTC
(In reply to Jonathan Druart from comment #1)
> (In reply to Katrin Fischer from comment #0)
> > To reproduce the problem:
> > 
> > 1) Go to any detail page in staff
> > 2) Click on the modification log tab
> > 3) Verify, that the object is prefilled with the records biblionumber and
> > you can also see it as parameter in the url
> > 4) Click a second time on modification log to reset your search
> 
> I am not sure this is still valid, when I am on tools/viewlog.pl, I don't
> see the "modification log" tab, I see the menu from the tools module.

That was a bug, see bug 6911 comment 6.
Comment 4 Jonathan Druart 2015-04-16 14:41:13 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-04-16 14:42:01 UTC
It depends on the fix I submitted on bug 6911 comment 7.
Comment 6 Bernardo Gonzalez Kriegel 2015-05-17 21:41:45 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-05-31 20:12:21 UTC
Created attachment 39717 [details] [review]
[PASSED QA] Bug 10355: paramater 'object' lost on the road

Test plan:
1) Go to any detail page in staff
2) Click on the modification log tab
3) Verify, that the object is prefilled with the records biblionumber
and you can also see it as parameter in the url
4) Click a second time on modification log to reset your search

Before this patch, the object parameter was empty.
It now contains the value of the biblionumber.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no koha-qa errors

http://bugs.koha-community.org/show_bug.cgi?id=10335

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-06-08 19:27:12 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2015-06-08 23:13:35 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 10 Liz Rea 2015-06-22 23:27:57 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 11 Mason James 2015-07-25 10:23:48 UTC
Pushed to 3.16.x, will be in 3.16.13